# Class RoleResult

java.lang.Object
javax.management.relation.RoleResult

All Implemented Interfaces:
  `Serializable`

public class RoleResult extends Object implements Serializable
Represents the result of a multiple access to several roles of a relation (either for reading or writing).

The serialVersionUID of this class is `-6304063118040985512L`.

Since:
  1.5
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RoleResult(RoleList list, RoleUnresolvedList unresolvedList)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`RoleList`
`getRoles()`
Retrieves list of roles successfully accessed.
`RoleUnresolvedList`
`getRolesUnresolved()`
Retrieves list of roles unsuccessfully accessed.
`void`
`setRoles(RoleList list)`
Sets list of roles successfully accessed.
`void`
`setRolesUnresolved(RoleUnresolvedList unresolvedList)`
Sets list of roles unsuccessfully accessed.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### RoleResult

public RoleResult(RoleList list, RoleUnresolvedList unresolvedList)
Constructor.

Parameters:
  `list` - list of roles successfully accessed.
  `unresolvedList` - list of roles not accessed (with problem descriptions).

## Method Details

### getRoles

public RoleList getRoles()
Retrieves list of roles successfully accessed.

Returns:
  a RoleList
See Also:
  - `setRoles(RoleList)`

### getRolesUnresolved

public RoleUnresolvedList getRolesUnresolved()
Retrieves list of roles unsuccessfully accessed.

Returns:
  a RoleUnresolvedList.
See Also:
  - `setRolesUnresolved(RoleUnresolvedList)`

### setRoles

public void setRoles(RoleList list)
Sets list of roles successfully accessed.

Parameters:
  `list` - list of roles successfully accessed
See Also:
  - `getRoles()`

### setRolesUnresolved

public void setRolesUnresolved(RoleUnresolvedList unresolvedList)
Sets list of roles unsuccessfully accessed.

Parameters:
  `unresolvedList` - list of roles unsuccessfully accessed
See Also:
  - `getRolesUnresolved()`